> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arouter.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出提供商

> 取得透過 ARouter 可用的所有 AI 提供商列表。

取得當前透過 ARouter 可用的所有提供商，包括其名稱和支援的模型數量。

## 端點

```
GET /api/v1/providers
```

## 請求範例

```bash theme={null}
curl https://api.arouter.ai/api/v1/providers \
  -H "Authorization: Bearer lr_live_xxxx"
```

## 回應範例

```json theme={null}
{
  "data": [
    {
      "id": "OpenAI",
      "name": "OpenAI",
      "model_count": 24,
      "is_byok_supported": true
    },
    {
      "id": "Anthropic",
      "name": "Anthropic",
      "model_count": 12,
      "is_byok_supported": true
    },
    {
      "id": "Google",
      "name": "Google",
      "model_count": 16,
      "is_byok_supported": true
    },
    {
      "id": "Meta",
      "name": "Meta",
      "model_count": 18,
      "is_byok_supported": false
    }
  ]
}
```

## 回應欄位

| 欄位                         | 類型        | 描述                                    |
| -------------------------- | --------- | ------------------------------------- |
| `data`                     | `array`   | 提供商物件列表                               |
| `data[].id`                | `string`  | 用於路由的提供商識別碼（例如在 `provider.order` 中使用） |
| `data[].name`              | `string`  | 人類可讀的提供商名稱                            |
| `data[].model_count`       | `integer` | 該提供商可用的模型數量                           |
| `data[].is_byok_supported` | `boolean` | 該提供商是否支援 BYOK                         |

## 說明

* 提供商 ID 用於聊天補全請求中的 `provider.order`、`provider.only` 和 `provider.ignore` 欄位
* 如何在請求中使用提供商 ID，請參閱[提供商路由](/zh-Hant/provider-routing)
* BYOK 設定請參閱 [BYOK](/zh-Hant/guides/overview/byok)
